Assumptions Class Reference

An assumption about an unknown mathematical value. More...

`#include <Variable.h>`

## Public Member Functions

bool | isPositive ()
bool | isNegative ()
bool | isNonNegative ()
bool | isNonPositive ()
bool | isInteger ()
bool | isBoolean ()
bool | isNumber ()
bool | isRational ()
bool | isReal ()
bool | isComplex ()
bool | isNonZero ()
bool | isNonMatrix ()
bool | isScalar ()
AssumptionType | type ()
AssumptionSign | sign ()
void | setType (AssumptionType ant)
void | setSign (AssumptionSign as)
void | setMin (const Number *nmin)
void | setIncludeEqualsMin (bool include_equals)
bool | includeEqualsMin () const
const Number * | min () const
void | setMax (const Number *nmax)
void | setIncludeEqualsMax (bool include_equals)
bool | includeEqualsMax () const
const Number * | max () const

## Protected Attributes

AssumptionType | i_type
AssumptionSign | i_sign
Number * | fmin
Number * | fmax
bool | b_incl_min
bool | b_incl_max

## Detailed Description

An assumption about an unknown mathematical value.

Assumptions have a type and a sign. The type describes the type of the value – if it represents a number or something else, and what type of number is represented. The sign restricts the signedness of a number. The sign generally only applies the assumptions representing a number. The assumption class also includes max and min values, which however are not used anywhere yet.

The documentation for this class was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_math_libqalculate/libqalculate/work/libqalculate-5.4.0/libqalculate/Variable.h